### Constructor

# WebKit ContextMenu new

#### Declaration [src]

    WebKitContextMenu*
    webkit_context_menu_new (
      void
    )

#### Description [src]

Creates a new `WebKitContextMenu` object.

Creates a new `WebKitContextMenu` object to be used as a submenu of an existing `WebKitContextMenu`. The context menu of a `WebKitWebView` is created by the view and passed as an argument of `WebKitWebView::context-menu` signal. To add items to the menu use webkit_context_menu_prepend(), `webkit_context_menu_append()` or webkit_context_menu_insert(). See also `webkit_context_menu_new_with_items()` to create a `WebKitContextMenu` with a list of initial items.

#### Return value

Returns: | `WebKitContextMenu`
| The newly created `WebKitContextMenu` object.
| The caller of the function takes ownership of the data, and is responsible for freeing it.